Bug 1276355 - xscreensaver: Unplugging HDMI cable can cause lock bypass
xscreensaver: Unplugging HDMI cable can cause lock bypass
Status: CLOSED DUPLICATE of bug 1276592
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151021,repor...
: Security
Depends On: 1276594 1274452 1276357 1276359
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 10:14 EDT by Adam Mariš
Modified: 2015-10-30 08:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: xscreensaver 5.34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 05:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-29 10:14:08 EDT
In HDMI multi-screen setup, xscreensaver aborts when the external screen is plugged out, causing the unlocking of desktop on XFCE when asking for password.

Patch:

http://pkgs.fedoraproject.org/cgit/xscreensaver.git/diff/xscreensaver-5.33-0002-Modify-sigchld_hander-in_signal_hander_p-mechanism.patch?id=b57f59f3482fedf70ce7a3541094e2512290139f

CVE request (including steps to reproduce):

http://www.openwall.com/lists/oss-security/2015/10/24/2
Comment 1 Adam Mariš 2015-10-29 10:15:04 EDT
Created xscreensaver tracking bugs for this issue:

Affects: fedora-all [bug 1276357]
Affects: epel-6 [bug 1276359]
Comment 2 Mamoru TASAKA 2015-10-29 18:45:14 EDT
The original bug is bug 1274452 .
Comment 3 Mamoru TASAKA 2015-10-29 18:46:54 EDT
http://www.openwall.com/lists/oss-security/2015/10/29/12
CVE-2015-8025 is now assigned.
Comment 4 Mamoru TASAKA 2015-10-30 05:27:53 EDT
Merging...

*** This bug has been marked as a duplicate of bug 1276592 ***

Note You need to log in before you can comment on or make changes to this bug.